Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.cusermanager.provider
Class DefaultDataHandlerImpl

    java.lang.Object
      org.jasig.portal.channels.cusermanager.provider.DefaultDataHandlerImpl

All Implemented Interfaces:
  IDataHandler

    public class DefaultDataHandlerImpl

extends java.lang.Object
implements IDataHandler

Version:
  $Revision: 1.8.2.2 $ $Date: 2006/01/26 16:26:53 $
Author:
  smb1@cornell.edu

Field Summary
`protected static java.lang.String` | `ADDUSER`
`protected static java.lang.String` | `ALLUSERS`
`protected static java.lang.String` | `COUNTUSERS`
`protected static java.lang.String` | `GETTHISUSER`
`private static org.apache.commons.logging.Log` | `LOG`
`private IUserIdentityStore` | `rdbmuser`
`protected static java.lang.String` | `SEARCHUSERS`
`protected static java.lang.String` | `SINGLEQUOTE`
`protected static java.lang.String` | `UPDCONDMASK`
`protected static java.lang.String` | `UPDMASK`
`protected static java.lang.String` | `UPDPWD`
`protected static java.lang.String` | `USERSELECT`
`protected static java.lang.String` | `WILDCARD`

Constructor Summary
`DefaultDataHandlerImpl()`

Method Summary
`void` | `addUser(IPerson AnIndividual)`
`IPerson[]` | `getAllUsers()`
`IPerson[]` | `getAllUsersLike(java.lang.String SearchString)`
`private java.sql.Connection` | `getDBConn()`
`IPerson` | `getUser(java.lang.String UID)`
`private IPerson[]` | `mkIPeople(java.sql.ResultSet R)`
`private void` | `releaseConn(java.sql.Connection C)`
`private void` | `releaseConn(java.sql.ResultSet R, java.sql.Connection C)`
`void` | `removeUser(IPerson AnIndividual)`
`private IPerson[]` | `runQuery(java.lang.String Query)`
`private IPerson[]` | `runQuery(java.lang.String Query, java.lang.String Conditional)`
`void` | `setUserInformation(IPerson AnIndividual)`
`void` | `setUserPassword(IPerson AnIndividual, java.lang.String OriginalPassword)` OriginalPassword is null if called in "UserManager" mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    private static final org.apache.commons.logging.Log LOG

### SINGLEQUOTE

    protected static final java.lang.String SINGLEQUOTE

See Also:
  Constant Field Values

### WILDCARD

    protected static final java.lang.String WILDCARD

See Also:
  Constant Field Values

### UPDMASK

    protected static final java.lang.String UPDMASK

See Also:
  Constant Field Values

### UPDCONDMASK

    protected static final java.lang.String UPDCONDMASK

See Also:
  Constant Field Values

### COUNTUSERS

    protected static final java.lang.String COUNTUSERS

See Also:
  Constant Field Values

### ADDUSER

    protected static final java.lang.String ADDUSER

See Also:
  Constant Field Values

### UPDPWD

    protected static final java.lang.String UPDPWD

### USERSELECT

    protected static final java.lang.String USERSELECT

See Also:
  Constant Field Values

### ALLUSERS

    protected static final java.lang.String ALLUSERS

### GETTHISUSER

    protected static final java.lang.String GETTHISUSER

### SEARCHUSERS

    protected static final java.lang.String SEARCHUSERS

### rdbmuser

    private IUserIdentityStore rdbmuser

Constructor Detail

### DefaultDataHandlerImpl

    public DefaultDataHandlerImpl()

Method Detail

### getAllUsers

    public IPerson[] getAllUsers()
                          throws java.lang.Exception

  Specified by:
    `getAllUsers` in interface `IDataHandler`
  Throws:
    `java.lang.Exception`

### getAllUsersLike

    public IPerson[] getAllUsersLike(java.lang.String SearchString)
                              throws java.lang.Exception

  Specified by:
    `getAllUsersLike` in interface `IDataHandler`
  Throws:
    `java.lang.Exception`

### getUser

    public IPerson getUser(java.lang.String UID)
                    throws java.lang.Exception

  Specified by:
    `getUser` in interface `IDataHandler`
  Throws:
    `java.lang.Exception`

### setUserInformation

    public void setUserInformation(IPerson AnIndividual)
                            throws java.lang.Exception

  Specified by:
    `setUserInformation` in interface `IDataHandler`
  Throws:
    `java.lang.Exception`

### addUser

    public void addUser(IPerson AnIndividual)
                 throws java.lang.Exception

  Specified by:
    `addUser` in interface `IDataHandler`
  Throws:
    `java.lang.Exception`

### setUserPassword

    public void setUserPassword(IPerson AnIndividual,
                                java.lang.String OriginalPassword)
                         throws java.lang.Exception

  OriginalPassword is null if called in "UserManager" mode.

  Specified by:
    `setUserPassword` in interface `IDataHandler`
  Throws:
    `java.lang.Exception`

### removeUser

    public void removeUser(IPerson AnIndividual)
                    throws java.lang.Exception

  Specified by:
    `removeUser` in interface `IDataHandler`
  Throws:
    `java.lang.Exception`

### getDBConn

    private java.sql.Connection getDBConn()

### releaseConn

    private void releaseConn(java.sql.ResultSet R,
                             java.sql.Connection C)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### releaseConn

    private void releaseConn(java.sql.Connection C)

### runQuery

    private IPerson[] runQuery(java.lang.String Query)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### runQuery

    private IPerson[] runQuery(java.lang.String Query,
                               java.lang.String Conditional)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### mkIPeople

    private IPerson[] mkIPeople(java.sql.ResultSet R)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD